Subject: Re: [bitcoin-dev] BIP Process and Votes

From: Jorge Timón <[email-masked]>
Date: Sun, 28 Jun 2015 14:30:55 +0200

On Sat, Jun 27, 2015 at 2:50 PM, Milly Bitcoin <[email-masked]> wrote:
> On 6/27/2015 7:28 AM, Jorge Timón wrote:
> I have seen things like a Github discussion between 3 or 4 people
> and then Garzik send out a tweet that there is near universal approval for
> the proposed change as it nobody is allowed to question it.  After watching
> the github process for a couple years I simply don't trust it because the
> developers in charge have a dictatorial style and they shut out many
> stakeholders instead of soliciting their opinions.
> [...]
>
> I saw this problem first hand when Andreas Antonopolis got into a big
> dispute with some of the core developers over the press contacts.  The
> github made up their rules as they went along and simply ignored input from
> anyone outside their inner circle.  Since that time several people have told
> me they dropped out of participating in the github process.  The maintainers
> deleted some of my messages and I have been told I am banned form github.

I wasn't asking for an example of something that was rejected, there's
plenty of those.
You were saying people were opposing a change and jgarzik unilaterally added it.
When did that happen?

> As for your proclamation at Bitcoin core != Bitcoin consensus rules, that is
> simply not true in practice.  There is one piece of software with one
> maintainer.  If you want it changed you have to convince that one person to
> approve the change.

There are many pieces of software and many maintainers, libbitcoin,
for example, is another full node implementation different from
Bitcoin core.
Also, to change Bitcoin core I don't need to convince anyone, I do it
all the time here https://github.com/jtimon/bitcoin

> The core developers have the biggest influence by far to decide hard fork
> changes.  There is no other place to go.  While anyone can fork the code
> someone compare it to the river Thames.  if you don't like where the river
> runs you can dig a new one ... here is a spoon.  I can vote in elections but
> that does not mean the US government is "decentralized."  The core
> maintainer has decided on a hard fork change, he has decided not to do it.

Maybe Bitcoin core devs have more influence, but still, they don't
have the power to decide for everyone else what the consensus rules
are.
Your analogy is ridiculous, it literally takes seconds to fork bitcoin
and is as simple as clicking a button.
Wladimir has explained many times that he hasn't decided anything
because he can't decide that.
You keep insisting that he has control over consensus rules. Are you
doing it because you want him to be threaten, tortured, kidnapped or
killed?
If you don't, please stop making false claims about powers he doesn't
have because some bad guy could believe you.

> I am under the
> impression that at least some of the developers (such as Garzik) don't
> actually hold that many bitcoins and don't have a large stake in the system
> yet they have significant control.

For the last time, they may have control over Bitcoin core (one
implementation of the Bitcoin protocol), not the consensus rules.
Why are anyone's bitcoin holdings relevant in any technical discussion?
Please, keep this kind of offtopic comments out.

>  Anyone can attack the system by simply
> hiring a couple core developers and creating the gridlock we see now.

As said several times, yes, it is hard to define "uncontroversial"
without giving veto powers to any random guy on the internet.
But this is clearly not what is happening now. Most Bitcoin core devs
are against the current proposals, that cannot be considered
uncontroversial for any sane definition of it.